c
c  Include file for Pythia steering parameters and common blocks
c
c  Pythia's include files common block declarations and
c  array dimensions, but do not declare variable types.
c  Hence declare types here since using "implicit none" in HzTool.
c

C     pyjets.inc
      INTEGER N,NPAD,K
      DOUBLE PRECISION P, V
#include "pyjets.inc"

C     pypars.inc
      INTEGER MSTP,MSTI
      DOUBLE PRECISION PARP,PARI
#include "pypars.inc"

C     pysubs.inc
      INTEGER MSEL, MSELPD, MSUB, KFIN
      DOUBLE PRECISION CKIN
#include "pysubs.inc"

C     pydatr.inc
      INTEGER MRPY
      DOUBLE PRECISION RRPY
#include "pydatr.inc"

C     pydat1.inc
      INTEGER MSTU, MSTJ
      DOUBLE PRECISION PARU, PARJ
#include "pydat1.inc"

C     pydat3.inc
      INTEGER MDCY, MDME, KFDP
      DOUBLE PRECISION BRAT
#include "pydat3.inc"

C     pyint5.inc
      INTEGER NGENPD, NGEN
      DOUBLE PRECISION oldXSEC
      COMMON/PYINT5/NGENPD,NGEN(0:500,3),oldXSEC(0:500,3)
      DOUBLE PRECISION SIGT
      COMMON/PYINT7/SIGT(0:6,0:6,0:5)

C     Doesn't seem to be declared anywhere else
      INTEGER PYCOMP

C     SUSY parameters
      INTEGER IMSS
      DOUBLE PRECISION RMSS
      COMMON/PYMSSM/IMSS(0:99),RMSS(0:99)
      SAVE /PYMSSM/
