      SUBROUTINE HZALPCARDS
c     ------------------
c     Read control cards into the hzalpcontrol common block.
c     Doesn't actually read cards, but sets up keys for FFREAD.
c
c     Cards specific to ALPGEN.
c
c     -------------------------
      IMPLICIT NONE

c  Variable and common blocks for steering parameters
#include "hzalpcontrol.inc"

c  Initialize steering arrays to (hopefully) unlikely value so we can see
c  later which ones have been overridden in the steering cards.
      DATA hziexc /999/
      DATA hzetclus,hzrclus,hzetaclmax /3*-999D0/

      HZALFILE='          '

      CALL FFKEY('IEXC',hziexc,1,'integer')
      CALL FFKEY('RCLUS',hzrclus,1,'real')
      CALL FFKEY('ETACLMAX',hzetaclmax,1,'real')
      CALL FFKEY('ETCLUS',hzetclus,1,'real')

      CALL FFKEY('ALFILE',hzalfile,32,'text')

      RETURN
      END
