      SUBROUTINE HZXMLI(iunit,name,ival)
c
c     Write XML intParameter element.
c
c     iunit = LUN for output
c     name  = "name" attribute of intParameter element
c     ival  = element contents (value of parameter)
c

      IMPLICIT NONE

      CHARACTER*(*) name
      INTEGER iunit, ival

c     Buffer for formatting numbers in output
      CHARACTER*14 buff
      INTEGER buflen
      PARAMETER (buflen=14)

c     Complete element to write out
      CHARACTER*100 elem
      
c     Function to find number of occupied characters in a string (KERNLIB)
      INTEGER lenocc

      write (buff,'(I14)') ival
      call cleft(buff,1,buflen)

      elem = '<hep:intParameter name="'//name//'">'//
     &     buff(1:lenocc(buff))//'</hep:intParameter>'

      write (iunit,'(A)') elem(1:lenocc(elem))

      RETURN
      END
